package com.yidianling.consultant.data

import com.yidianling.consultant.bean.Keyworks

class ConsultantRamImpl private constructor(): ConsultantRam {

    override fun setHotSearch(hotSearch: MutableList<Keyworks>) {
        this.hotSearch = hotSearch!!
    }

    companion object {
        fun getInstance(): ConsultantRamImpl {
            return Holder.INSTANCE
        }
    }

    private var hotSearch: MutableList<Keyworks> = ArrayList()

    override fun getHotSearch(): MutableList<Keyworks> {
        return hotSearch
    }


    private object Holder {
        val INSTANCE = ConsultantRamImpl()
    }
}